
// real a(32), b(200)
// !hpf$ distribute a (block) onto p
// !hpf$ distribute b (block (100)) onto p
// !hpf$ processors p (4)
// 
// do i=1,200
//   b(i) = i
// enddo
// do i=1,32
//   a(i) = 1000*i
// enddo
// 
// a (10:19) = b (100 : 190 : 10)
// 
// do i=1,32
//   print "(F12.2)", a(i)
// enddo
// 
// end


#include <stdio.h>
#include "ad++.h"


int main(int argc, char* argv[]) {
  AdlibInit(argc, argv) ;

  Procs1 p(4) ;

  BlockRange x(32, p.dim(0)) ;
  Array1<float> a(x, p) ;

  BlockRange y(200, p.dim(0), 100) ;
  Array1<float> b(y, p) ;

  ON(p) {

    Index j(y) ;
    OVERALL(j) {
      b(j) = 1 + j ;
    } ALLOVER(j) ;

    Index i(x) ;
    OVERALL(i) {
      a(i) = 1000 * (1 + i) ;
    } ALLOVER(i) ;

    remap(a.sect(Trip(9,18)), b.sect(Trip(99, 189, 10))) ;

  } NO(p) ;

  aprintf("%12.2f\n", a) ;

  AdlibFinalize() ;
}


